<template lang="pug">
.settings-fade(@click.self="close")
	.settings-container
		p Enter username:
		input(:placeholder="username" v-model="username" @keyup.enter="save")
		.profile-select
			img(:src="imgList[index]")
			span.arrows
				i.icon-arrow-left-circle(@click="index--")
				i.icon-arrow-right-circle(@click="index++")
		button(@click="save") Save

</template>

<script>
	export default {
		name: 'settings',

		data() {
			return {
				username: this.$store.state.user.name,
				index: 0,
				imgList: [
				'dist/woman-1.png',
				'dist/woman-2.png',
				'dist/woman-3.png',
				'dist/woman-4.png',
				'dist/woman-5.png',
				'dist/woman-6.png',
				'dist/woman-7.png',
				'dist/woman-8.png',
				'dist/woman-9.png',
				'dist/man-1.png',
				'dist/man-2.png',
				'dist/man-3.png',
				'dist/man-4.png',
				'dist/man-5.png',
				'dist/man-6.png',
				'dist/man-7.png',
				'dist/man-8.png',
				'dist/man-9.png',
				]
			}
		},


		methods: {
			save() {
				this.$store.commit('setUser', {name: this.username, pic: this.imgList[this.index]})
				this.$store.commit('toggleSettings')
			},
			close() {
				this.$store.commit('toggleSettings')
			}
		}
	}
</script>

<style lang="sass">
	.settings-fade
		background-color: rgba(0,0,0,0.9)
		position: absolute
		top: 0
		left: 0
		height: 100%
		width: 100%
		display: flex
		align-items: center
		justify-content: center

		.settings-container
			p
				color: #666
				font-size: 12px
			background-color: #eee
			width: 240px
			height: 200px
			border-radius: 10px
			display: flex
			align-items: center
			justify-content: center
			flex-direction: column

			input
				height: 20px
				border-radius: 4px
				font-family: inherit
				padding: 6px

			.profile-select
				display: flex
				flex-direction: column
				align-items: center
				img
					height: 60px
					border-radius: 50%
					padding: 10px
			button
				color: #eee
				border: 0
				border-radius: 6px
				padding: 6px 10px
				background-color: #419b86
</style>